Subject: Re: questions on dlopen
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 5 Dec 2001 16:40:57 -0500

Please check out the project web page for links to available information
and ports:  http://cygwin.com/ .

If you don't see what you need there, then the cygwin mailing list is
the best place to make observations or get questions answered.
Information on the mailing list is available at the project web page.

For your convenience, I've reset the Reply-To: address to point to the
cygwin mailing list.  I've also Cc'ed this reply there.

On Wed, Dec 05, 2001 at 02:45:04PM +0100, [email-masked] wrote:
>Hi Chris!
>
>i found your email adress in a posting which seems to be releated to the
>problems i have...
>
>I try to port a tool 'ccmalloc' for detection of memory leaks to Win32 via
>cygwin. At the moment this tool is known to compile on Linux and Solaris
>only. If you want to have a look on it:
>
>http://www.inf.ethz.ch/personal/biere/projects/ccmalloc/
>
>The fundamental part is that it overwrites the malloc resp. free function
>of libc with own functions. These functions then try to call the libcs
>implementation of malloc/free by using dlopen(LIBC) and dlsym(handle,
>"MALLOC_SYMBOL")
>
>First of all there's no libc.so in my cygwin installation. Only a libc.a. I
>played a little bit around, but dlopen fails. Then i tried to point dlopen
>to the cygwin1.dll. That worked for dlopen and dlsym. But now, other
>strange things appear. (calling fopen leads to core dump)...
>
>I know this are very few informations, but maybe you have some ideas and
>can give me some suggestions...
>
>Thank you very much!
>
>Henning

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/